using System.Text.Json;

namespace isnd
{
    internal class TypeIdNamingPolicy : JsonNamingPolicy
    {
        public override string ConvertName(string name)
        {
            if (name == "Id") return "@id";
            if (name == "Type") return "@type";
            return "" + char.ToLower(name[0]) + name[1..];
        }
    }
}